package jp.ehobby.util.syslog;


/**
 * Syslog の重要度を示す.
 *
 * @author kei-n
 */
public enum SyslogSeverity {


	/** Emergency. system is unusable.				*/
	EMERGENCY(0),


	/** Alert. action must be taken immediately.	*/
	ALERT(1),


	/** Critical. critical conditions.				*/
	CRITICAL(2),


	/** Error. error conditions.					*/
	ERROR(3),


	/** Warning. warning conditions.				*/
	WARNING(4),


	/** Notice. normal but significant condition.	*/
	NOTICE(5),


	/** Informational. informational messages.		*/
	INFORMATIONAL(6),


	/** Debug. debug-level messages.				*/
	DEBUG(7);


	////////////////////////////////////////////////////////////////////////////
	//
	// 共通メソッド
	//

	/** facilityの値.	*/
	private final int severityValue;


	/**
	 * Severity を生成する.
	 *
	 * @param val 値
	 */
	private SyslogSeverity(final int val) {
		this.severityValue = val;
	}


	/**
	 * Severity の値を返します.
	 *
	 * @return Severityの値
	 */
	public int getValue() {
		return this.severityValue;
	}

}
